r7417 - in trunk/BOOK: . introduction/welcome x/lib

thomas at linuxfromscratch.org thomas at linuxfromscratch.org
Tue May 6 14:29:57 PDT 2008


Author: thomas
Date: 2008-05-06 15:29:57 -0600 (Tue, 06 May 2008)
New Revision: 7417

Modified:
   trunk/BOOK/general.ent
   trunk/BOOK/introduction/welcome/changelog.xml
   trunk/BOOK/x/lib/qt.xml
Log:
Update QT to 3.3.8b

Modified: trunk/BOOK/general.ent
===================================================================
--- trunk/BOOK/general.ent	2008-05-06 06:50:32 UTC (rev 7416)
+++ trunk/BOOK/general.ent	2008-05-06 21:29:57 UTC (rev 7417)
@@ -424,7 +424,7 @@
 -->
 
 <!-- Chapter 26 -->
-<!ENTITY qt-version                   "3.3.8">
+<!ENTITY qt-version                   "3.3.8b">
 <!ENTITY qt4-version                  "4.3.4">
 <!ENTITY GTK-version                  "1.2.10">
 <!ENTITY cairo-version                "1.4.14">

Modified: trunk/BOOK/introduction/welcome/changelog.xml
===================================================================
--- trunk/BOOK/introduction/welcome/changelog.xml	2008-05-06 06:50:32 UTC (rev 7416)
+++ trunk/BOOK/introduction/welcome/changelog.xml	2008-05-06 21:29:57 UTC (rev 7417)
@@ -50,6 +50,9 @@
           <para>[dj] - Chaned jdk symlink to use precompiled version and
           other text cleanups in jdk page.</para>
         </listitem>
+        <listitem>
+          <para>[thomas] - Updated to QT-3.3.8b (bugfix release with applied UTF patch).</para>
+        </listitem>
       </itemizedlist>
     </listitem>
 

Modified: trunk/BOOK/x/lib/qt.xml
===================================================================
--- trunk/BOOK/x/lib/qt.xml	2008-05-06 06:50:32 UTC (rev 7416)
+++ trunk/BOOK/x/lib/qt.xml	2008-05-06 21:29:57 UTC (rev 7417)
@@ -4,10 +4,10 @@
   <!ENTITY % general-entities SYSTEM "../../general.ent">
   %general-entities;
 
-  <!ENTITY qt-download-http "http://ftp.silug.org/mirrors/ftp.trolltech.com/qt/source/qt-x11-free-&qt-version;.tar.bz2">
-  <!ENTITY qt-download-ftp  "ftp://ftp.trolltech.com/qt/source/qt-x11-free-&qt-version;.tar.bz2">
-  <!ENTITY qt-md5sum        "cf3c43a7dfde5bfb76f8001102fe6e85">
-  <!ENTITY qt-size          "14.3 MB">
+  <!ENTITY qt-download-http "http://ftp.silug.org/mirrors/ftp.trolltech.com/qt/source/qt-x11-free-&qt-version;.tar.gz">
+  <!ENTITY qt-download-ftp  "ftp://ftp.trolltech.com/qt/source/qt-x11-free-&qt-version;.tar.gz">
+  <!ENTITY qt-md5sum        "9f05b4125cfe477cc52c9742c3c09009">
+  <!ENTITY qt-size          "16.5 MB">
   <!ENTITY qt-buildsize     "261 MB">
   <!ENTITY qt-time          "11 SBU (full), 7.5 SBU (sub-tools)">
 ]>
@@ -58,14 +58,6 @@
       </listitem>
     </itemizedlist>
 
-    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
-    <itemizedlist spacing="compact">
-       <listitem>
-         <para>Required patch: <ulink
-            url="http://www.trolltech.com/developer/download/Qt-3.3.8-UTF-8-fix.diff"/></para>
-       </listitem>
-    </itemizedlist>
-
     <bridgehead renderas="sect3">Qt Dependencies</bridgehead>
 
     <bridgehead renderas="sect4">Required</bridgehead>
@@ -178,16 +170,6 @@
         be in use during the install process.</para>
       </note>
 
-    <para>A <ulink
-    url='http://www.trolltech.com/company/newsroom/announcements/press.2007-03-30.9172215350'>security
-    vulnerability</ulink> has been identified in the
-    <application>Qt</application> package. Apply the patch to fix this
-    vulnerability with the following command:</para>
-
-<screen><userinput>patch -Np0 -i ../Qt-3.3.8-UTF-8-fix.diff</userinput></screen>
-
-    <para>Continue with:</para>
-
 <screen><userinput>sed -i '/QMAKE_RPATH/d' mkspecs/linux*/qmake.conf &&
 
 bash
@@ -247,16 +229,6 @@
       class='directory'>/opt/qt-&qt-version;/</filename>
       and then creates a symbolic link to <filename>/opt/qt/</filename>.</para>
 
-      <para>A <ulink
-      url='http://www.trolltech.com/company/newsroom/announcements/press.2007-03-30.9172215350'>security
-      vulnerability</ulink> has been identified in the
-      <application>Qt</application> package. Apply the patch to fix this
-      vulnerability with the following command:</para>
-
-<screen><userinput>patch -Np0 -i ../Qt-3.3.8-UTF-8-fix.diff</userinput></screen>
-
-      <para>Continue with:</para>
-
 <screen><userinput>bash
 export QTDIR=$PWD &&
 export LD_LIBRARY_PATH=$PWD/lib:$LD_LIBRARY_PATH &&




More information about the blfs-book mailing list